注释

列出网站注释

GET/api/websites/{websiteId}/annotations

返回网站带日期备注的分页列表,可选按日期范围或搜索文本筛选。

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
websiteIdrequiredstringID of the website.

Query parameters

NameTypeDescription
startAtnumberStart of the date range as a Unix timestamp in milliseconds.
endAtnumberEnd of the date range as a Unix timestamp in milliseconds.
searchstringSearch text used to filter results.
pageintegerPage number, starting at 1.
pageSizeintegerNumber of results per page.
maxResultsintegerMaximum number of results to include.

Responses

200The operation completed successfully.
NameTypeDescription
countrequirednumberNumber of matching records.
datarequiredobject[]Data returned by the operation.
isCappedbooleanWhether the results were truncated by the maximum result limit.
orderBystringField to sort the results by.
pagerequirednumberPage number, starting at 1.
pageSizerequirednumberNumber of results per page.
searchstringSearch text used to filter results.
sortDescendingbooleanWhether to sort results in descending order.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL